/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
// inlineMessages.js

function inlineMessages ()
{
	var closeFlag = false;
	
	this.selfClose = function(thisObj, thisEvent)
	{
		if(true == closeFlag)
		{
			this.setCloseFlag(false);
			thisObj.style.display = 'none';
			try
			{
				resizeAncestorFrame();
			}
			catch(e){}
		}
	}
	
	this.setCloseFlag = function(flag)
	{
		closeFlag = flag;
	}
	
	this.moveMessages = function()
	{
		if($("message_holder").innerHTML != "")
		{
			$("place_holder").innerHTML = $("message_holder").innerHTML;
			$("place_holder").style.display = "block";
			$("message_holder").style.visibility = "";
			$("message_holder").style.display = "none";
		}
	}
};

var inlineMessagesObj = new inlineMessages();
inlineMessagesObj.moveMessages();
