/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
// inlineMessagesAjax.js

function inlineMessagesAjax ()
{
	var closeFlag = false;
	
	var inProgress = false;
	
	this.selfClose = function(thisObj, thisEvent)
	{
		if(true == closeFlag)
		{
			this.setCloseFlag(false);
			thisObj.style.display = 'none';
			try
			{
				resizeAncestorFrame();
			}
			catch(e){}
		}
	}
	
	this.setCloseFlag = function(flag)
	{
		closeFlag = flag;
	}
	
	this.fetchMessages = function()
	{
		if(false == inProgress)
		{
			var oLauncher = getElementByIdSuffix("inlineMessagesAjaxSubView:ajax_launcher", "input");
			oLauncher.click();
			inProgress = true;
		}
	}
	
	this.delayFetchMessages = function(milliSec)
	{
		setTimeout("inlineMessagesAjaxObj.fetchMessages();", milliSec);
	}
	
	this.onComplete = function()
	{
		inProgress = false;
		try
		{
			resizeAncestorFrame();
		}
		catch(e){}
	}
	
	this.displayFatalMessage = function()
	{
		var hiddenFatalMessage = getElementByIdSuffix("inlineMessagesAjaxSubView:hidden_fatal_message","span");
		var messageBox = getElementByIdSuffix("inlineMessagesAjaxSubView:message_box","span");
		messageBox.innerHTML = messageBox.innerHTML + hiddenFatalMessage.innerHTML;
		try
		{
			resizeAncestorFrame();
		}
		catch(e){}
	}
	
};

var inlineMessagesAjaxObj = new inlineMessagesAjax();
