/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
var cvsObj = new CreateVolumesSummary();

function CreateVolumesSummary()
{
	var floatMessage = null;
	
	var btn_back;
	var btn_close;
	var btn_cancel;
	
	this.selfNavigate = function()
	{
		location.href = basePath + "faces/page/createvolume/CreateVolumesSummary.jsp";
	}
	
	this.init = function()
	{
		btn_finish = $("view:form1:btn_finish");
		btn_back = $("view:form1:btn_back");
		btn_close = $("view:form1:btn_close");
		btn_cancel = $("view:form1:btn_cancel");
	}
	
	this.onSubmit = function(waitMessage)
	{
		//IE does not allow form to be posted to dynamically created frame, so use the hidden frame in page
		var targetFrame = $("target_frame"); 
		EventHandling.addEventHandler("load", targetFrame, this.selfNavigate, false);
		document.forms[0].target = targetFrame.name;
		if(null == floatMessage)
		{
			floatMessage = new FloatMessage(FloatMessage.CREATE_VOLUME_CONTEXT, FloatMessage.DYNAMIC);
		}
		$("main").style.visibility = "hidden";
		floatMessage.start();
		setTimeout("$('view:form1:btn_finish').disabled = true", 100);
		btn_back.disabled = true;
		this.switchCancelToClose();
		return true;
	}
	
	this.switchCancelToClose = function()
	{
		btn_close.style.display = "inline";
		btn_cancel.style.display = "none";
	}
}
