/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
var deleteVolumesConfirmationObj = new DeleteVolumesConfirmation();

DeleteVolumesConfirmation.VIEW_FORM_ID = "view:form1";

function DeleteVolumesConfirmation()
{
	//delete the pool when click the ok button
	this.onOKBtnClick = function(thisObj, thisEvent)
	{
		
		var ajaxLauncherBtn = $(DeleteVolumesConfirmation.VIEW_FORM_ID+":delete_volumes_launcher");
		ajaxLauncherBtn.click();
	}

	
	this.onDeleteVolumesComplete = function()
	{
		//close the dialog and refresh the parent page.
		//refresh the parent page.
		var parentRefreshBtn = parent.document.getElementById(parent.Volume.VIEW_FORM_ID+":btn_refresh");
		parentRefreshBtn.click();
		return true;	
	};
	
	this.onDeleteVolumesStart = function()
	{
		//display the loading td
		$("loading_div").style.display = "";
		$(DeleteVolumesConfirmation.VIEW_FORM_ID+":ok_btn").disabled = true;
		$(DeleteVolumesConfirmation.VIEW_FORM_ID+":cancel_btn").disabled = true;
	};
	
	this.onAjaxError = function()
	{
		//close the dialog.
		parent.panelDialogObj.closeDialog();
		//show fatal inline message on storage page.
		parent.parent.parent.inlineMessagesAjaxObj.displayFatalMessage();
	};
	

}
