/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
function EditVolumeProperties()
{
	this.onOKClicked = function()
	{
		parent.evpsObj.closeAndRefresh();
		parent.actionCommitted = true;
		return true;
	}
	
	this.onCancelClicked = function()
	{
		parent.evpsObj.closeModal();
	}
	
	this.showConfirmOrPost = function()
	{
		//FF returns the 2 radios, but IE returns the table embracing the radio also, as the table has a id with the same name
		var elems = document.getElementsByName('view:form1:write_cache_onfailure_select');
		//if write back is selected
		if(elems[elems.length - 1].checked == false)
		{
			$("view:form1:confirm_dialog_launcher").click();
		}
		else
		{
			$("view:form1:confirm_btn_ok").click();
		}
	}
	
	this.cacheModeChange = function(thisObj) {
		var elems = document.getElementsByName('view:form1:write_cache_select');
        var checkedValue;
        var CACHE_MODE_ENABLED_WRITEBACK = 1;
        for(var i=0;i<elems.length;i++){
            if(elems[i].checked){
                checkedValue = elems[i].value;
            }
        }
		if (CACHE_MODE_ENABLED_WRITEBACK == checkedValue) {
			enableRadios();
		}else {
			disabledRadios();
		}
	}

	
	this.init = function() {
		var table_radio_array_cache_mode = $('view:form1:write_cache_select');
		var radio_array_cache_mode = table_radio_array_cache_mode.getElementsByTagName('INPUT');
		if (!radio_array_cache_mode[0].checked) {
			disabledRadios();
		}else{
			enableRadios();
		}
	}
	
	function disabledRadios()
	{		
		var table_radio_array_cache_mode_on_battery_failed = $('view:form1:write_cache_onfailure_select');
		var radio_array_cache_mode_on_battery_failed = table_radio_array_cache_mode_on_battery_failed.getElementsByTagName('INPUT');
		radio_array_cache_mode_on_battery_failed[0].checked = false;
		radio_array_cache_mode_on_battery_failed[1].checked = true;
		radio_array_cache_mode_on_battery_failed[0].disabled = true;
		radio_array_cache_mode_on_battery_failed[1].disabled = true;
	}
	
	function enableRadios() {
		var table_radio_array_cache_mode_on_battery_failed = $('view:form1:write_cache_onfailure_select');
		var radio_array_cache_mode_on_battery_failed = table_radio_array_cache_mode_on_battery_failed.getElementsByTagName('INPUT');
		radio_array_cache_mode_on_battery_failed[0].checked = true;
		radio_array_cache_mode_on_battery_failed[1].checked = false
		radio_array_cache_mode_on_battery_failed[0].disabled = false;
		radio_array_cache_mode_on_battery_failed[1].disabled = false;
	}
}

var evpObj = new EditVolumeProperties();
