/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
var LRTObj = new LongRunningTask();

function LongRunningTask()
{	
	this.refresh = function()
	{
		commonRefresh();
		parent.startShellLoading();
	}
	
	this.init = function()
	{
		$("last_refresh_timestamp").innerHTML = getLocalizedCurrentTime();
		
		dataTableObj.initHeaderDivPaddingWidth("view:form1:inprogress_task_table","table_header_div_inprogress");
		dataTableObj.initHeaderDivPaddingWidth("view:form1:completed_task_table","table_header_div_complete");
		
		setTimeout(this.refresh, 30000);
	}
}
